"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@oclif/core");
const base_1 = tslib_1.__importDefault(require("../base"));
class GetBalances extends base_1.default {
    async run() {
        const balanceMap = await this.tonic.getBalances();
        const balances = Object.keys(balanceMap).map((token) => ({
            token,
            amount: balanceMap[token].toString(),
        }));
        core_1.CliUx.Table.table(balances, {
            token: {
                header: 'Asset',
            },
            amount: {
                header: 'Native balance',
                minWidth: 10,
            },
        });
    }
}
exports.default = GetBalances;
GetBalances.description = `Get user exchange balances`;
GetBalances.examples = [`$ tonic get-balances`];
