"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toTable = exports.pick = void 0;
const Table = require('cli-table');
const defaultProps = (item) => {
    return Object.keys(item);
};
function pick(item, keys, callFunctionProperty = false) {
    return keys.map((k) => {
        const v = item[k];
        if (typeof v === 'function' && callFunctionProperty) {
            return v();
        }
        return v;
    });
}
exports.pick = pick;
function toTable(data, opts) {
    if (!(data instanceof Array)) {
        const keys = opts.props || defaultProps(data);
        const table = new Table({
            head: keys,
        });
        table.push(pick(data, keys, opts.callFunctionProperty));
        return table.toString();
    }
    const keys = opts.props || defaultProps(data[0]);
    const table = new Table({
        head: keys,
    });
    data.forEach((d) => {
        table.push(pick(d, keys, opts.callFunctionProperty));
    });
    return table.toString();
}
exports.toTable = toTable;
